b225ea
From 83831bb2af42219682e3e1d4adbd350e634bd07e Mon Sep 17 00:00:00 2001
b225ea
From: Jakub Filak <jfilak@redhat.com>
b225ea
Date: Tue, 20 Jan 2015 15:12:05 +0100
b225ea
Subject: [PATCH] console-notifications: add timeout
b225ea
b225ea
Related to #898
b225ea
Resolves rhbz#1249101
b225ea
b225ea
Signed-off-by: Jakub Filak <jfilak@redhat.com>
b225ea
---
b225ea
 src/cli/abrt-console-notification.sh | 2 +-
b225ea
 1 file changed, 1 insertion(+), 1 deletion(-)
b225ea
b225ea
diff --git a/src/cli/abrt-console-notification.sh b/src/cli/abrt-console-notification.sh
b225ea
index 976dfc3..a98f164 100755
b225ea
--- a/src/cli/abrt-console-notification.sh
b225ea
+++ b/src/cli/abrt-console-notification.sh
b225ea
@@ -39,4 +39,4 @@ if [ -f "$TMPPATH" ]; then
b225ea
     mv -f "$TMPPATH" "$SINCEFILE" >"$ABRT_DEBUG_LOG" 2>&1
b225ea
 fi
b225ea
 
b225ea
-abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG"
b225ea
+timeout 10s abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG" || echo "'abrt-cli status' timed out"
b225ea
-- 
b225ea
1.8.3.1
b225ea